QGIS Application - Bug report #7820
Labels vanish even when x,y specified
2013-05-13 08:23 AM - John Sankey

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No
Operating System: Mac OSX Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16705
Description

QGIS hides labels when they get too close together. That's OK for auto label placement (although a user should be able to turn it off), but
it's a disaster that it isn't off when x,y is specified. That's when the user needs to take total control of labelling. The inability to turn off label
hiding under any circumstances is blocking me from taking on a whole class of projects with QGIS. In fact, if there were a patch that would
turn off hiding althogether (not auto-placement - that works well nearly all the time), I'd install it in an instant for the maps | want to do.

History

#1 - 2013-05-13 11:33 AM - Larry Shaffer

Hi John,

There are a couple of settings you can try in a master build (only the first is available in 1.8).

- Show all labels and features for all layers This is in the auto placement engine's config dialog. Obviously, this is overkill and not very useful if you
have several layers. It's more for debugging.

- Show all labels for this layer This is currently under Advanced tab. It will show all labels for the current layer. This will cause overlapping labels, but
if you are looking for total static control over the layout of your labels this is where to start.

- Always show This is a data defined option. It will cause an individual label to always be shown.

- Show label This is a data defined option. Using this, and the Show/Hide Labels map tool, you can interactively show/hide the labels you want if there

are redundant labels, or you want to focus on a subset.

After working with those options, please let me know if there is still something more you need in this area. The collision management should fully be
optional, selectively on, or fully on. Precise cartographic label output, as well as automated, is certainly a goal for the labeling engine.

NOTE: there is still an outstanding feature needed with regards to this, as outlined here #7779.

#2 - 2013-05-14 05:51 AM - John Sankey
- Status changed from Open to Closed

Thanks, Larry - it took me a while to find that option! | agree it's overkill because it turns off collision avoidance between layers as well, but I've turned it on
- for me it's far better to deal with collisions manually than to have labels vanish without warning. I'll look forward to getting easier control when the next

stable version comes out.
